Loading...
Searching...
No Matches
icu::IDNAInfo Class Reference

Output container for IDNA processing errors. More...

`#include <idna.h>`

Inheritance diagram for icu::IDNAInfo:

## Public Member Functions

| IDNAInfo ()
| Constructor for stack allocation.
UBool | hasErrors () const
| Were there IDNA processing errors?
uint32_t | getErrors () const
| Returns a bit set indicating IDNA processing errors.
UBool | isTransitionalDifferent () const
| Returns true if transitional and nontransitional processing produce different results.

## Friends

class | UTS46

## Detailed Description

Output container for IDNA processing errors.

The IDNAInfo class is not suitable for subclassing.

Stable
  ICU 4.6

Definition at line 273 of file idna.h.

## Constructor & Destructor Documentation

## IDNAInfo()

icu::IDNAInfo::IDNAInfo | ( |  | ) |

inline

Constructor for stack allocation.

Stable
  ICU 4.6

Definition at line 279 of file idna.h.

## Member Function Documentation

## getErrors()

uint32_t icu::IDNAInfo::getErrors | ( |  | ) | const

inline

Returns a bit set indicating IDNA processing errors.

See UIDNA_ERROR_... constants in uidna.h.

Returns
  bit set of processing errors

Stable
  ICU 4.6

Definition at line 292 of file idna.h.

## hasErrors()

UBool icu::IDNAInfo::hasErrors | ( |  | ) | const

inline

Were there IDNA processing errors?

Returns
  true if there were processing errors

Stable
  ICU 4.6

Definition at line 285 of file idna.h.

## isTransitionalDifferent()

UBool icu::IDNAInfo::isTransitionalDifferent | ( |  | ) | const

inline

Returns true if transitional and nontransitional processing produce different results.

This is the case when the input label or domain name contains one or more deviation characters outside a Punycode label (see UTS #46).

- With nontransitional processing, such characters are copied to the destination string.
- With transitional processing, such characters are mapped (sharp s/sigma) or removed (joiner/nonjoiner).

Returns
  true if transitional and nontransitional processing produce different results

Stable
  ICU 4.6

Definition at line 306 of file idna.h.

## Friends And Related Symbol Documentation

## UTS46

friend class UTS46

friend

Definition at line 309 of file idna.h.

The documentation for this class was generated from the following file:

- common/unicode/idna.h